---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/jdk/jtreg/native/lib/libNested.dylib'
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: _test_S1, symObjAddr: 0x0, symBinAddr: 0x3B14, symSize: 0x28 }
  - { offsetInCU: 0x33, offset: 0x33, size: 0x8, addend: 0x0, symName: _test_S1, symObjAddr: 0x0, symBinAddr: 0x3B14, symSize: 0x28 }
  - { offsetInCU: 0x84, offset: 0x84, size: 0x8, addend: 0x0, symName: _test_U1, symObjAddr: 0x28, symBinAddr: 0x3B3C, symSize: 0x4 }
  - { offsetInCU: 0xB7, offset: 0xB7, size: 0x8, addend: 0x0, symName: _test_U1, symObjAddr: 0x28, symBinAddr: 0x3B3C, symSize: 0x4 }
  - { offsetInCU: 0xD0, offset: 0xD0, size: 0x8, addend: 0x0, symName: _test_U17, symObjAddr: 0x2C, symBinAddr: 0x3B40, symSize: 0x4 }
  - { offsetInCU: 0x105, offset: 0x105, size: 0x8, addend: 0x0, symName: _test_U17, symObjAddr: 0x2C, symBinAddr: 0x3B40, symSize: 0x4 }
  - { offsetInCU: 0x117, offset: 0x117, size: 0x8, addend: 0x0, symName: _test_S2, symObjAddr: 0x30, symBinAddr: 0x3B44, symSize: 0x30 }
  - { offsetInCU: 0x168, offset: 0x168, size: 0x8, addend: 0x0, symName: _test_S3, symObjAddr: 0x60, symBinAddr: 0x3B74, symSize: 0x64 }
  - { offsetInCU: 0x1B9, offset: 0x1B9, size: 0x8, addend: 0x0, symName: _test_S4, symObjAddr: 0xC4, symBinAddr: 0x3BD8, symSize: 0x30 }
  - { offsetInCU: 0x20A, offset: 0x20A, size: 0x8, addend: 0x0, symName: _test_S5, symObjAddr: 0xF4, symBinAddr: 0x3C08, symSize: 0x38 }
  - { offsetInCU: 0x25B, offset: 0x25B, size: 0x8, addend: 0x0, symName: _test_S6, symObjAddr: 0x12C, symBinAddr: 0x3C40, symSize: 0x38 }
  - { offsetInCU: 0x2AC, offset: 0x2AC, size: 0x8, addend: 0x0, symName: _test_U2, symObjAddr: 0x164, symBinAddr: 0x3C78, symSize: 0x4 }
  - { offsetInCU: 0x2E1, offset: 0x2E1, size: 0x8, addend: 0x0, symName: _test_U2, symObjAddr: 0x164, symBinAddr: 0x3C78, symSize: 0x4 }
  - { offsetInCU: 0x2F3, offset: 0x2F3, size: 0x8, addend: 0x0, symName: _test_S7, symObjAddr: 0x168, symBinAddr: 0x3C7C, symSize: 0x30 }
  - { offsetInCU: 0x344, offset: 0x344, size: 0x8, addend: 0x0, symName: _test_U3, symObjAddr: 0x198, symBinAddr: 0x3CAC, symSize: 0x30 }
  - { offsetInCU: 0x395, offset: 0x395, size: 0x8, addend: 0x0, symName: _test_U4, symObjAddr: 0x1C8, symBinAddr: 0x3CDC, symSize: 0x4 }
  - { offsetInCU: 0x3C8, offset: 0x3C8, size: 0x8, addend: 0x0, symName: _test_U4, symObjAddr: 0x1C8, symBinAddr: 0x3CDC, symSize: 0x4 }
  - { offsetInCU: 0x3DC, offset: 0x3DC, size: 0x8, addend: 0x0, symName: _test_U5, symObjAddr: 0x1CC, symBinAddr: 0x3CE0, symSize: 0x30 }
  - { offsetInCU: 0x42D, offset: 0x42D, size: 0x8, addend: 0x0, symName: _test_U6, symObjAddr: 0x1FC, symBinAddr: 0x3D10, symSize: 0x30 }
  - { offsetInCU: 0x47E, offset: 0x47E, size: 0x8, addend: 0x0, symName: _test_U7, symObjAddr: 0x22C, symBinAddr: 0x3D40, symSize: 0x8 }
  - { offsetInCU: 0x4BF, offset: 0x4BF, size: 0x8, addend: 0x0, symName: _test_S8, symObjAddr: 0x234, symBinAddr: 0x3D48, symSize: 0x30 }
  - { offsetInCU: 0x510, offset: 0x510, size: 0x8, addend: 0x0, symName: _test_S9, symObjAddr: 0x264, symBinAddr: 0x3D78, symSize: 0x38 }
  - { offsetInCU: 0x561, offset: 0x561, size: 0x8, addend: 0x0, symName: _test_U8, symObjAddr: 0x29C, symBinAddr: 0x3DB0, symSize: 0x38 }
  - { offsetInCU: 0x5B2, offset: 0x5B2, size: 0x8, addend: 0x0, symName: _test_U9, symObjAddr: 0x2D4, symBinAddr: 0x3DE8, symSize: 0x4 }
  - { offsetInCU: 0x5E7, offset: 0x5E7, size: 0x8, addend: 0x0, symName: _test_U9, symObjAddr: 0x2D4, symBinAddr: 0x3DE8, symSize: 0x4 }
  - { offsetInCU: 0x5F9, offset: 0x5F9, size: 0x8, addend: 0x0, symName: _test_U10, symObjAddr: 0x2D8, symBinAddr: 0x3DEC, symSize: 0x4 }
  - { offsetInCU: 0x62E, offset: 0x62E, size: 0x8, addend: 0x0, symName: _test_U10, symObjAddr: 0x2D8, symBinAddr: 0x3DEC, symSize: 0x4 }
  - { offsetInCU: 0x640, offset: 0x640, size: 0x8, addend: 0x0, symName: _test_S10, symObjAddr: 0x2DC, symBinAddr: 0x3DF0, symSize: 0x4 }
  - { offsetInCU: 0x673, offset: 0x673, size: 0x8, addend: 0x0, symName: _test_S10, symObjAddr: 0x2DC, symBinAddr: 0x3DF0, symSize: 0x4 }
  - { offsetInCU: 0x6A2, offset: 0x6A2, size: 0x8, addend: 0x0, symName: _test_U11, symObjAddr: 0x2E0, symBinAddr: 0x3DF4, symSize: 0x38 }
  - { offsetInCU: 0x6F3, offset: 0x6F3, size: 0x8, addend: 0x0, symName: _test_S11, symObjAddr: 0x318, symBinAddr: 0x3E2C, symSize: 0x8 }
  - { offsetInCU: 0x734, offset: 0x734, size: 0x8, addend: 0x0, symName: _test_U12, symObjAddr: 0x320, symBinAddr: 0x3E34, symSize: 0x8 }
  - { offsetInCU: 0x775, offset: 0x775, size: 0x8, addend: 0x0, symName: _test_S12, symObjAddr: 0x328, symBinAddr: 0x3E3C, symSize: 0x4 }
  - { offsetInCU: 0x7AA, offset: 0x7AA, size: 0x8, addend: 0x0, symName: _test_S12, symObjAddr: 0x328, symBinAddr: 0x3E3C, symSize: 0x4 }
  - { offsetInCU: 0x7BC, offset: 0x7BC, size: 0x8, addend: 0x0, symName: _test_U13, symObjAddr: 0x32C, symBinAddr: 0x3E40, symSize: 0x4 }
  - { offsetInCU: 0x7F1, offset: 0x7F1, size: 0x8, addend: 0x0, symName: _test_U13, symObjAddr: 0x32C, symBinAddr: 0x3E40, symSize: 0x4 }
  - { offsetInCU: 0x803, offset: 0x803, size: 0x8, addend: 0x0, symName: _test_U14, symObjAddr: 0x330, symBinAddr: 0x3E44, symSize: 0x5C }
  - { offsetInCU: 0x854, offset: 0x854, size: 0x8, addend: 0x0, symName: _test_U15, symObjAddr: 0x38C, symBinAddr: 0x3EA0, symSize: 0x4 }
  - { offsetInCU: 0x889, offset: 0x889, size: 0x8, addend: 0x0, symName: _test_U15, symObjAddr: 0x38C, symBinAddr: 0x3EA0, symSize: 0x4 }
  - { offsetInCU: 0x89B, offset: 0x89B, size: 0x8, addend: 0x0, symName: _test_S13, symObjAddr: 0x390, symBinAddr: 0x3EA4, symSize: 0x30 }
  - { offsetInCU: 0x8EC, offset: 0x8EC, size: 0x8, addend: 0x0, symName: _test_S14, symObjAddr: 0x3C0, symBinAddr: 0x3ED4, symSize: 0x4 }
  - { offsetInCU: 0x921, offset: 0x921, size: 0x8, addend: 0x0, symName: _test_S14, symObjAddr: 0x3C0, symBinAddr: 0x3ED4, symSize: 0x4 }
  - { offsetInCU: 0x933, offset: 0x933, size: 0x8, addend: 0x0, symName: _test_U16, symObjAddr: 0x3C4, symBinAddr: 0x3ED8, symSize: 0x30 }
  - { offsetInCU: 0x984, offset: 0x984, size: 0x8, addend: 0x0, symName: _test_S15, symObjAddr: 0x3F4, symBinAddr: 0x3F08, symSize: 0x30 }
...
